<?xml version='1.0' encoding='ISO-8859-1'?>

<!-- 
NarvalRC DTD written by syt@logilab.fr for use with Narval :: version 1.1
last update on 2002/09/25

 Example:

     narvalrc
       |--- disable|enable
       |      |---- actions-module = actions module_name to [not] load on start
       |      |
       |      |---- transforms-module = transforms module_name to [not] load on start
       |      |
       |      \---- cookbook = cookbook_name to not load on start
       \--- userconf
              \---- encoding = user encoding, for output printing and memory saves
--> 

<!ELEMENT narvalrc (encoding?, protocol_handlers?, (disable|enable)?)>

<!ELEMENT encoding (#PCDATA)>

<!ELEMENT enable (actions_module*, transforms-module*, cookbook*)>
<!ELEMENT disable (actions_module*, transforms-module*, cookbook*)>

<!ELEMENT actions_module (#PCDATA)>

<!ELEMENT transforms-module (#PCDATA)>

<!ELEMENT cookbook (#PCDATA)>

<!ELEMENT protocol_handlers (handler+)>

<!ELEMENT handler (class, package)>
<!ATTLIST handler name CDATA #REQUIRED>


